﻿*** INSTITUTO NACIONAL DE ESTADÍSTICA Y CENSOS (INEC).
***  MÓDULO DE INFORMACIÓN AMBIENTAL EN HOGARES ENCUESTA NACIONAL DE EMPLEO, DESEMPLEO Y SUBEMPLEO (ENEMDU) 2014.
*** ELABORADO POR: SALOMÉ BORJA, DEAGA
*** SINTAXIS PARA SPSS.
********************************************************************************************. 


GET
  FILE='C:\Users\cborja\Documents\ENEMDU2014\ambiente1214.sav'.

WEIGHT BY fexp.

COMPUTE NACIONAL=1.

EXECUTE.
VARIABLE LABELS NACIONAL "NACIONAL".
VALUE LABELS NACIONAL 1"Nacional".


**** CUIDADES PRINCIPALES****.

IF (Ciudad=170150) DOMIN=1.
IF (Ciudad=90150) DOMIN=2.
IF (Ciudad=10150) DOMIN=3.
IF (Ciudad=180150) DOMIN=4.
IF (Ciudad=70150) DOMIN=5.
recode domin (sysmis =6) (else = copy).

var lab DOMIN 'Ciudades de Dominio'.
val lab DOMIN 1 'Quito' 2 'Guayaquil' 3 'Cuenca' 4 'Ambato' 5 'Machala' 6 'Otras'.
EXECUTE.

********************************************************RESIDUOS HABITUALES***********************************************************
*Clasificación de Residuos


*	INDICADOR DE HOGARES QUE CLASIFICAN LOS RESIDUOS (ÚLTIMOS 12 MESES) 

*Denominador todos los hogares.
COMPUTE DIHCR=1.
EXECUTE.

*Numerador todos los hogares que clasifican.
IF (DIHCR=1) NIHCR=0.
IF (DIHCR=1 &(A02=1)) NIHCR=1.
EXECUTE.

*Cálculo del indicador.
COMPUTE IHCR=NIHCR/DIHCR*100.
EXECUTE.

*Resultados del indicador.
CTABLES
  /VLABELS VARIABLES=NACIONAL IHCR DISPLAY=LABEL
  /TABLE NACIONAL [C] BY IHCR [S][MEAN]
  /CATEGORIES VARIABLES=NACIONAL ORDER=A KEY=VALUE EMPTY=INCLUDE.


*TIPOS DE RESIDUOS CLASIFICADOS POR PARTE DE LOS HOGARES 


*sysmis a no

recode a0301 a0302a a0302b a0302c (sysmis=2).
execute.


CTABLES
  /VLABELS VARIABLES=NACIONAL A0301 A0302A A0302B A0302C DISPLAY=LABEL
  /TABLE NACIONAL [COUNT F40.0, ROWPCT.COUNT PCT40.1]  BY A0301 + A0302A + A0302B + A0302C
  /CATEGORIES VARIABLES=A0301 A0302A A0302B A0302C ORDER=A KEY=VALUE EMPTY=INCLUDE.

*nota: con respecto al total de los hogares.

*Eliminación de los residuos orgánicos clasificados 

*FILTRO POR HOGARES QUE CLASIFICAN RESIDUOS ORGÁNICOS.

USE ALL.
COMPUTE filter_301=(a0301 = 1).
VARIABLE LABELS filter_301 'a0301 = 1 (FILTER)'.
VALUE LABELS filter_301 0 'Not Selected' 1 'Selected'.
FORMATS filter_301 (f1.0).
FILTER BY filter_301.
EXECUTE.

recode a04a (6=sysmis).
execute.

* orgánicos.
CTABLES
  /VLABELS VARIABLES=A04A NACIONAL DISPLAY=LABEL
  /TABLE A04A BY NACIONAL [COUNT F40.0, COLPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=A04A ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=NACIONAL ORDER=A KEY=VALUE EMPTY=INCLUDE.

filter off.
use all.

*Eliminación de los residuos inorgánicos clasificados (%).


*****************************
*FILTRO POR HOGARES QUE CLASIFICAN RESIDUOS INORGÁNICOS VIDRIO.

USE ALL.
COMPUTE filter_302c=(a0302C = 1).
VARIABLE LABELS filter_302c 'a0302C = 1 (FILTER)'.
VALUE LABELS filter_302c 0 'Not Selected' 1 'Selected'.
FORMATS filter_302c (f1.0).
FILTER BY filter_302c.
EXECUTE.


recode a04c (3=sysmis).
recode a04c (6=sysmis).
execute.

*vidrio.
CTABLES
  /VLABELS VARIABLES=A04C NACIONAL DISPLAY=LABEL
  /TABLE A04C BY NACIONAL [COUNT F40.0, COLPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=A04C ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=NACIONAL ORDER=A KEY=VALUE EMPTY=INCLUDE.

filter off.
use all.

***************************

USE ALL.
COMPUTE filter_302a=(a0302A = 1).
VARIABLE LABELS filter_302a 'a0302A = 1 (FILTER)'.
VALUE LABELS filter_302a 0 'Not Selected' 1 'Selected'.
FORMATS filter_302a (f1.0).
FILTER BY filter_302a.
EXECUTE.


recode a04d (3=sysmis).
execute.

*papel/cartón.
CTABLES
  /VLABELS VARIABLES=A04D NACIONAL DISPLAY=LABEL
  /TABLE A04D BY NACIONAL [COUNT F40.0, COLPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=A04D ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=NACIONAL ORDER=A KEY=VALUE EMPTY=INCLUDE.

filter off.
use all.


* nota: con respecto a los hogares que clasifican cada tipo de residuos




************************************2.	CLASIFICACION DE RESIDUOS HABITUALES********************************************************. 


*	HOGARES QUE NO CLASIFICAN LOS RESIDUOS (ÚLTIMOS 12 MESES) 

CTABLES
  /VLABELS VARIABLES=NACIONAL DOMIN A02 DISPLAY=LABEL
  /TABLE NACIONAL [COUNT F40.0, ROWPCT.COUNT PCT40.1] + DOMIN [COUNT F40.0, ROWPCT.COUNT PCT40.1] BY A02
  /CATEGORIES VARIABLES= DOMIN A02 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.


*	Principales  razones   por las cuales los hogares no clasifican 

CTABLES
  /VLABELS VARIABLES=area DOMIN A05 DISPLAY=LABEL
  /TABLE AREA [COUNT F40.0, ROWPCT.COUNT PCT40.1] + DOMIN [COUNT F40.0, ROWPCT.COUNT PCT40.1] BY A05
  /CATEGORIES VARIABLES= AREA ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
 /CATEGORIES VARIABLES= A05 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

*nota: con respecto a los hogares que no clasifican


************************************3.	RECOLECCIÓN DE RESIDUOS********************************************************. 

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=NACIONAL  VI13     DISPLAY=LABEL
  /TABLE VI13 [C] BY NACIONAL [C][COUNT F40.0, COLPCT.COUNT PCT40.1]  
  /CATEGORIES VARIABLES=NACIONAL  VI13  ORDER=a KEY=VALUE 
    EMPTY=INCLUDE.

*	Porcentaje de hogares que sacan la basura a las horas de recolección (%)

*Filtro de hogares que tienen Servicio de Recolección Municipal

USE ALL.
COMPUTE filter_13=(VI13 = 2).
VARIABLE LABELS filter_13 'VI13 = 2 (FILTER)'.
VALUE LABELS filter_13 0 'Not Selected' 1 'Selected'.
FORMATS filter_13 (f1.0).
FILTER BY filter_13.
EXECUTE.

recode a01 (3=2).

CTABLES
  /VLABELS VARIABLES=NACIONAL DOMIN A01 DISPLAY=LABEL
  /TABLE NACIONAL [COUNT F40.0, ROWPCT.COUNT PCT40.1] + DOMIN [COUNT F40.0, ROWPCT.COUNT PCT40.1] BY A01 [C]
  /CATEGORIES VARIABLES= A01 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.


filter off.
use all.



********************************************************DESECHOS PELIGROSOS***********************************************************


*1.	Porcentaje de hogares que utilizan pilas en el hogar 

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=NACIONAL A06 DISPLAY=LABEL
  /TABLE NACIONAL [COUNT F40.0, ROWPCT.COUNT PCT40.1] BY A06
  /CATEGORIES VARIABLES=A06 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.


**Pilas recargables

compute a06pr=2.
if (a06b>0) a06pr=1.
if (a06=2) a06pr=0.
recode a06pr (0=sysmis).
execute.

VALUE LABELS a06pr 1 "SI" 2 "NO".
execute.

VARIABLE LABELS A06pr "USO PILAS RECARGABLES".
EXECUTE.
CTABLES
  /VLABELS VARIABLES=NACIONAL A06PR DISPLAY=LABEL
  /TABLE NACIONAL [COUNT F40.0, ROWPCT.COUNT PCT40.1] BY A06PR
  /CATEGORIES VARIABLES=A06PR ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

**Disposición de pilas.

recode a08a (5=sysmis).
execute.

*pilas.
CTABLES
  /VLABELS VARIABLES=NACIONAL A08A DISPLAY=LABEL
  /TABLE a08a BY NACIONAL [COUNT F40.0, COLPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=NACIONAL ORDER=A KEY=VALUE EMPTY=INCLUDE
 /CATEGORIES VARIABLES=A08A ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.


*	Recuento de pilas en promedio en los hogares / pilas recargables 


CTABLES
  /VLABELS VARIABLES=NACIONAL a06a A06b DISPLAY=LABEL
  /TABLE NACIONAL [C] BY A06a [sum] + A06b [sum].


*3.	INDICADOR DE USO DE FOCOS AHORRADORES 

***USO DE FOCOS

*filtro hogares con energía electrica.
USE ALL.
COMPUTE filter_12=(VI12 < 3 ).
VARIABLE LABELS filter_12 'VI12 = 1 (FILTER)'.
VALUE LABELS filter_12 0 'Not Selected' 1 'Selected'.
FORMATS filter_12 (f1.0).
FILTER BY filter_12.
EXECUTE.

CTABLES
  /VLABELS VARIABLES= NACIONAL  A07 DISPLAY=LABEL
  /TABLE NACIONAL [COUNT F40.0, ROWPCT.COUNT PCT40.1] BY a07
  /CATEGORIES VARIABLES= A07 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

FILTER OFF.
USE ALL.



**focos ahorradores

compute a07ah=2.
if (a07b>0) a07ah=1.
if (a07=2) a07ah=0.
recode a07ah (0=sysmis).
execute.

VALUE LABELS a07ah 1 "SI" 2 "NO".
execute.

VARIABLE LABELS A07AH "USO FOCOS AHORRADORES".
EXECUTE.



USE ALL.
COMPUTE filter_127=(VI12 < 3 & A07=1).
VARIABLE LABELS filter_127 'VI12 = 1 (FILTER)'.
VALUE LABELS filter_127 0 'Not Selected' 1 'Selected'.
FORMATS filter_127 (f1.0).
FILTER BY filter_127.
EXECUTE.

CTABLES
  /VLABELS VARIABLES= NACIONAL A07ah DISPLAY=LABEL
  /TABLE NACIONAL [COUNT F40.0, ROWPCT.COUNT PCT40.1] BY a07ah
  /CATEGORIES VARIABLES= A07ah ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

filter off.
use all.


*	Recuento de focos en promedio en los hogares / focos ahorradores 

USE ALL.
COMPUTE filter_12=(VI12 < 3 ).
VARIABLE LABELS filter_12 'VI12 = 1 (FILTER)'.
VALUE LABELS filter_12 0 'Not Selected' 1 'Selected'.
FORMATS filter_12 (f1.0).
FILTER BY filter_12.
EXECUTE.


CTABLES
  /VLABELS VARIABLES=NACIONAL a07a A07b DISPLAY=LABEL
  /TABLE NACIONAL [C] BY A07a [sum] + A07b [sum].


filter off.
use all.

*****disposición final

recode a08e (5=sysmis).
recode a08e (6=sysmis).
execute.

*focos ahorradores.
CTABLES
  /VLABELS VARIABLES= NACIONAL A08e DISPLAY=LABEL
  /TABLE NACIONAL [COUNT F40.0, ROWPCT.COUNT PCT40.1] BY A08e
   /CATEGORIES VARIABLES=A08e ORDER=a KEY=VALUE EMPTY=INCLUDE.


*5.	Tipos de disposición final por categorías de desechos.


recode a08b (5=sysmis).
recode a08b (6=sysmis).
execute.

*medicamentos.
CTABLES
  /VLABELS VARIABLES=NACIONAL A08b DISPLAY=LABEL
  /TABLE NACIONAL [COUNT F40.0, ROWPCT.COUNT PCT40.1] BY A08b
   /CATEGORIES VARIABLES=A08b ORDER=A KEY=VALUE EMPTY=INCLUDE.




recode a08d (5=sysmis).
recode a08d (6=sysmis).
execute.

*aceites grasas.
CTABLES
  /VLABELS VARIABLES= NACIONAL  A08d DISPLAY=LABEL
  /TABLE NACIONAL [COUNT F40.0, ROWPCT.COUNT PCT40.1]  BY A08d
  /CATEGORIES VARIABLES=A08d ORDER=A KEY=VALUE EMPTY=INCLUDE.


recode a08c (5=sysmis).
recode a08c (6=sysmis).
execute.

*electricos.
CTABLES
  /VLABELS VARIABLES= NACIONAL  A08c DISPLAY=LABEL
  /TABLE NACIONAL [COUNT F40.0, ROWPCT.COUNT PCT40.1]  BY A08c
  /CATEGORIES VARIABLES=A08c ORDER=A KEY=VALUE EMPTY=INCLUDE.


recode a08c (sysmis=5).
execute.



*****************************************************3.	CONSUMO DE AGUA************************************************************************
*1 Consumo de agua en dólares.

filter off.

recode a09a (9999=sysmis).
recode a09a (0=sysmis).
execute.

USE ALL.
COMPUTE filter_10=(VI10 = 1 & VI10A = 1).
FILTER BY filter_10.


compute a09ac=a09a.
if a09a>300 a09ac=0.
execute.

recode a09ac (9999=sysmis).

recode a09ac (0=sysmis).
execute.



* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=NACIONAL AREA npers A09Ac DISPLAY=LABEL
  /TABLE NACIONAL [C] + AREA [C] + npers [C] BY A09Ac [S][MEAN]
  /CATEGORIES VARIABLES=NACIONAL AREA npers ORDER=A KEY=VALUE EMPTY=INCLUDE.

filter off.
use all.


*2. Tipos de prácticas de ahorro de agua realizadas por parte de los hogares 


* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=VI10 VI10A DISPLAY=LABEL
  /TABLE VI10 [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] BY VI10A [C]
  /CATEGORIES VARIABLES=VI10 VI10A ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

recode A1001 A1002 A1003 A1004 A1005 A1007 A1008 (3=sysmis).
execute.

USE ALL.
COMPUTE filter_10=(VI10 = 1 & VI10A = 1).
FILTER BY filter_10.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES= NACIONAL A1001 A1002 A1003 A1004 A1005 
    DISPLAY=LABEL
  /TABLE A1001 [C] + A1002 [C] + A1003 [C] + A1004 [C] + A1005 [C] by NACIONAL  [COUNT F40.0, COLPCT.COUNT pct40.1] 
  /CATEGORIES VARIABLES=A1001 A1002 A1003 A1004 A1005 ORDER=A KEY=VALUE 
    EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES= NACIONAL A1007 A1008 
    DISPLAY=LABEL
  /TABLE A1007 [C] + A1008 [C] by NACIONAL [COUNT F40.0, COLPCT.COUNT pct40.1]  
  /CATEGORIES VARIABLES= A1007 A1008 ORDER=A KEY=VALUE 
    EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

FILTER OFF.
USE ALL.


***************************************************4.	CONSUMO DE ENERGÍA ************************************************

*1.	CONSUMO DE ELECTRICIDAD EN DÓLARES

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=NACIONAL  VI12     DISPLAY=LABEL
  /TABLE VI12 [C] BY NACIONAL [C][COUNT F40.0, COLPCT.COUNT PCT40.1]  
  /CATEGORIES VARIABLES=NACIONAL  VI12  ORDER=a KEY=VALUE 
    EMPTY=INCLUDE.


recode a11a (9999=sysmis).
recode a11a (999,99 =sysmis).

compute a11ac=a11a.
if a11a>400 a11ac=0.
execute.

recode a11ac (0=sysmis).
execute.


USE ALL.
COMPUTE filter_12=(VI12 = 1 ).
VARIABLE LABELS filter_12 'VI12 = 1 (FILTER)'.
VALUE LABELS filter_12 0 'Not Selected' 1 'Selected'.
FORMATS filter_12 (f1.0).
FILTER BY filter_12.
EXECUTE.


* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=NACIONAL AREA npers A11Ac DISPLAY=LABEL
  /TABLE NACIONAL [C] + AREA [C] + npers [C] BY A11Ac [S][MEAN]
  /CATEGORIES VARIABLES=NACIONAL AREA npers ORDER=A KEY=VALUE EMPTY=INCLUDE.

filter off.


*2.	Tipos de prácticas de ahorro de electricidad realizadas por parte de los hogares 


USE ALL.
COMPUTE filter_12=(VI12 = 1 ).
FILTER BY filter_12.
EXECUTE.

recode A1201 A1202 A1203 A1204 A1205 A1206 A1207 A1208 (3=sysmis).
execute.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES= nacional A1201 A1202 A1203 A1204 A1205 A1206  
    DISPLAY=LABEL
  /TABLE A1201 +  A1202 + A1203 + A1204 + A1205 + A1206 BY NACIONAL [COUNT F40.0, COLPCT.COUNT PCT40.1] 
   /CATEGORIES VARIABLES=A1201 A1202 A1203 A1204 A1205 A1206 ORDER=A 
    KEY=VALUE EMPTY=INCLUDE.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES= nacional A1207 A1208  
    DISPLAY=LABEL
  /TABLE A1207 +  A1208 BY NACIONAL [COUNT F40.0, COLPCT.COUNT PCT40.1] 
   /CATEGORIES VARIABLES=A1207 A1208 ORDER=A 
    KEY=VALUE EMPTY=INCLUDE.

FILTER OFF.
USE ALL.


***************************************************5.	PAUTAS DE CONSUMO RESPONSABLE ************************************************

*1. Tipos de bolsas utilizadas por los hogares para realizar compras. 

CTABLES
  /VLABELS VARIABLES=NACIONAL A13 DISPLAY=LABEL
  /TABLE A13 [C] BY NACIONAL [COUNT F40.0, COLPCT.COUNT PCT40.1] 
  /CATEGORIES VARIABLES=NACIONAL  A13 ORDER=A KEY=VALUE EMPTY=INCLUDE.


*2.	Importancia de las características de los productos.

CTABLES
  /VLABELS VARIABLES=NACIONAL A1401 A1402 A1403 A1404 A1405   DISPLAY=LABEL
  /TABLE A1401 + A1402 + A1403 + A1404 + A1405 BY NACIONAL [C][COUNT F40.0, COLPCT.COUNT PCT40.1] 
  /CATEGORIES VARIABLES=NACIONAL A1401 A1402 A1403 A1404 A1405 ORDER=A KEY=VALUE EMPTY=INCLUDE.


**************************************************6.	TRANSPORTE Y MOVILIDAD*********************************************** 


*1.	Traslado diario de los hogares 

CTABLES
  /VLABELS VARIABLES=NACIONAL  A16 DISPLAY=LABEL
  /TABLE  A16 BY NACIONAL [C][COUNT F40.0, COLPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=NACIONAL A16 ORDER=A KEY=VALUE EMPTY=INCLUDE.


* Razones de uso de medio de transporte.

CTABLES
  /VLABELS VARIABLES=A16 A16A DISPLAY=LABEL
  /TABLE A16 [COUNT F40.0, ROWPCT.COUNT PCT40.1] BY A16A
  /CATEGORIES VARIABLES=A16 A16A ORDER=A KEY=VALUE EMPTY=INCLUDE.


*2.	Porcentaje de hogares que usaron bicicleta en el mes de noviembre 2014 

compute a1501=2.
if( a15>0) a1501=1.
EXECUTE.

VALUE LABELS a1501 1"SI" 2 "NO".
 VARIABLE LABELS A1501 "HOGARES USAN BICICLETA".

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=NACIONAL  DOMIN a1501 DISPLAY=LABEL
  /TABLE NACIONAL [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + DOMIN [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] BY a1501 [C]
  /CATEGORIES VARIABLES=NACIONAL DOMIN ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=a1501 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.



***********************************************************7.	CONCIENCIA AMBIENTAL ******************************************************

*1.	Porcentaje de hogares que recibieron una campaña relativa a la protección del ambiente

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=NACIONAL A19 DISPLAY=LABEL
  /TABLE NACIONAL [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]  BY A19
  /CATEGORIES VARIABLES=NACIONAL ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=A19 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.



*2.	INDICADOR DE PROBLEMAS AMBIENTALES 

**Hogares Afectados por Problemas Ambientales. 


compute DHAPA=1.
EXECUTE.

IF (DHAPA=1) NHAPA=0.
IF (DHAPA=1 & (A2001=1| A2002=1 | A2003=1 |A2004=1|A2005=1)) NHAPA=1.
EXECUTE.


COMPUTE HAPA=NHAPA/DHAPA*100.
EXECUTE.


* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=NACIONAL AREA HAPA DISPLAY=LABEL
  /TABLE NACIONAL [C] + AREA [C]  BY HAPA [S][MEAN]
  /CATEGORIES VARIABLES=NACIONAL AREA  ORDER=A KEY=VALUE EMPTY=INCLUDE.


*3.	Hogares Afectados por Problemas Ambientales

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=NACIONAL AREA A2001 A2002 A2003 A2004 A2005 
    DISPLAY=LABEL
  /TABLE  A2001 + A2002 + A2003 + A2004 + A2005 BY NACIONAL [C][COUNT F40.0, COLPCT.COUNT PCT40.1] + AREA [C][COUNT F40.0, COLPCT.COUNT PCT40.1] 
  /CATEGORIES VARIABLES=NACIONAL AREA ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=A2001 A2002 A2003 A2004 A2005 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES 
    POSITION=AFTER.


*4.	INDICADOR DE PREOCUPACIÓN AMBIENTAL  

compute DIPA=1.
EXECUTE.

IF (DIPA=1) NIPA=0.
IF (DIPA=1 & (A21>1)) NIPA=1.
EXECUTE.

COMPUTE IPA=NIPA/DIPA*100.
EXECUTE.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=NACIONAL AREA  DISPLAY=LABEL
  /TABLE NACIONAL [C] + AREA [C]  BY IPA [S][MEAN]
  /CATEGORIES VARIABLES=NACIONAL AREA  ORDER=A KEY=VALUE EMPTY=INCLUDE.


*6.	INDICADOR DE ACTIVIDADES AMBIENTALES 

*Denominador todos los hogares.
compute DIAA=1.
EXECUTE.

*Numerador hogares que realizan al menos una actividad ambiental.
IF (DIAA=1) NIAA=0.
IF (DIAA=1 & (A2201=1| A2202=1 | A2203=1 |A2204=1)) NIAA=1.
EXECUTE.

*Cálculo del indicador.
COMPUTE IAA=NIAA/DIAA*100.
EXECUTE.


* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=NACIONAL region  IAA DISPLAY=LABEL
  /TABLE NACIONAL [C] + region [C]  BY IAA [S][MEAN]
  /CATEGORIES VARIABLES=NACIONAL region  ORDER=A KEY=VALUE EMPTY=INCLUDE.


